Summary:	A SIP masquerading proxy with RTP support
Name:		siproxd
Version:	0.8.1
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Servers
URL:		http://siproxd.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	libosip2-devel >= 3.0.3
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd42-sgml

%description
Siprox is an proxy/masquerading daemon for the SIP protocol.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via an masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.

#----------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name *.la -delete

install -d %{buildroot}%{_var}/run/%{name}
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}

install -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}

# fix config
install -m0644 doc/siproxd.conf.example %{buildroot}%{_sysconfdir}/siproxd.conf
install -m0644 doc/siproxd_passwd.cfg %{buildroot}%{_sysconfdir}/siproxd_passwd.cfg
perl -pi -e "s|^user =.*|user = %{name}|g" %{buildroot}%{_sysconfdir}/siproxd.conf
perl -pi -e "s|^plugindir=.*|plugindir=%{_libdir}/%{name}/|g" %{buildroot}%{_sysconfdir}/siproxd.conf

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS ChangeLog README RELNOTES TODO
%doc doc/FLI4L_HOWTO.txt doc/KNOWN_BUGS doc/RFC3261_compliance.txt doc/sample_cfg_budgetone.txt
%doc doc/sample_cfg_x-lite.txt doc/siproxd_guide.sgml
%doc doc/html/*.html
%{_initrddir}/%{name}
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0640,root,root) %{_sysconfdir}/%{name}.conf.example
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}_passwd.cfg
%{_sbindir}/%{name}
%{_libdir}/%{name}
%attr(0750,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}
%attr(0750,%{name},%{name}) %dir %{_var}/run/%{name}


%changelog

* Wed Apr 11 2012 alien <alien> 0.8.1-7.mga2
+ Revision: 230226
- Fix LSB init header compliance

* Tue Dec 27 2011 fwang <fwang> 0.8.1-6.mga2
+ Revision: 187987
- rebuild for new osip

* Tue Nov 22 2011 fwang <fwang> 0.8.1-5.mga2
+ Revision: 170839
- drop .la files

* Wed Sep 14 2011 alien <alien> 0.8.1-4.mga2
+ Revision: 143603
- Fix ownership of directories

* Tue Sep 06 2011 alien <alien> 0.8.1-3.mga2
+ Revision: 139786
- fix plugindir
- rebuild to keep upgradeability from Mageia 1 updates
- Disable pdf documentation
- Remove deprecated macros
- Update to version 0.8.1
- imported package siproxd

